Bug 1486774 - Review Request: mysql - Multi-user, multi-threaded SQL database server
Summary: Review Request: mysql - Multi-user, multi-threaded SQL database server
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora Modules
Classification: Fedora
Component: Module Review
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-30 14:09 UTC by Honza Horak
Modified: 2018-08-15 15:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-15 15:28:33 UTC
Type: Bug
nphilipp: fedora-review+


Attachments (Terms of Use)

Description Honza Horak 2017-08-30 14:09:21 UTC
Modulemd URL: https://raw.githubusercontent.com/modularity-modules/mysql/master/mysql.yaml

Description: 
MySQL is a multi-user, multi-threaded SQL database server. MySQL is a client/server implementation consisting of a server daemon (mysqld) and many different client programs and libraries. The base package contains the standard MySQL client programs and generic MySQL files.

Fedora Account System Username: hhorak

Comment 1 Nils Philippsen 2017-09-01 16:44:12 UTC
Hi Honza,

similar to the cassandra module:

- yamllint complains:

  1:1       warning  missing document start "---"  (document-start)
  5:18      error    too many spaces after colon  (colons)
  6:81      error    line too long (96 > 80 characters)  (line-length)
  7:81      error    line too long (84 > 80 characters)  (line-length)
  8:81      error    line too long (86 > 80 characters)  (line-length)
  18:10     error    wrong indentation: expected 8 but found 9  (indentation)
  36:17     error    wrong indentation: expected 12 but found 16  (indentation)
  45:28     error    too many spaces after colon  (colons)
  49:28     error    too many spaces after colon  (colons)
  53:28     error    too many spaces after colon  (colons)
  57:28     error    too many spaces after colon  (colons)
  60:1      error    too many blank lines (1 > 0)  (empty-lines)

- license/module should be a list

Comment 2 Honza Horak 2017-09-04 05:59:02 UTC
Thanks for the notes, it's fixed now:
https://raw.githubusercontent.com/modularity-modules/mysql/master/mysql.yaml

Comment 3 Nils Philippsen 2017-09-04 13:03:15 UTC
Thanks!

This module is APPROVED.

Comment 4 Igor Gnatenko 2017-09-04 16:06:04 UTC
Why does it contain net-tools in components and gettext in profiles?

Comment 5 Gwyn Ciesla 2017-09-04 18:39:37 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/modules/mysql

Comment 6 Honza Horak 2017-09-04 22:10:11 UTC
(In reply to Igor Gnatenko from comment #4)
> Why does it contain net-tools in components and gettext in profiles?

It was copied from mariadb modulemd that also has it:
https://src.fedoraproject.org/modules/mariadb/blob/master/f/mariadb.yaml

My guess is that it was added because it was needed for the container (envsubst), but then I don't see why it would be in profiles section anyway. Maybe we can start without it and add it in case it really will be needed.

Thanks for this note.

Comment 7 Nils Philippsen 2018-08-15 15:28:33 UTC
This module is in the repos for a long time.


Note You need to log in before you can comment on or make changes to this bug.